#!/usr/bin/env python
# -*- coding: utf-8 -*-

from gimpfu import *
import os, glob

def do_load_files(imgfname) :
    img = pdb.gimp_file_load(imgfname + "_R.tif", "")
#                             load R ch. file as background
    img.filename = imgfname  + "_RGB.xcf" #change image's filename
    disp = pdb.gimp_display_new(img) #display image
    filenames = [imgfname + "_brownC_layer_mask.tif",
       imgfname + "_Dark_Mask.tif",
       imgfname + "_Periph_Adjst_Mask.tif",
       imgfname + "_Bg_Thld_Mask.tif",
       imgfname + "_Fg_Mask.tif",
       imgfname + "_B.tif",
       imgfname + "_B_Fg.tif",
        imgfname + "_brownC_layer.tif",
       imgfname + "_B_Bg.tif",
       imgfname + "_Periph_Adjst.tif",
       imgfname + "_Dark.tif",
       imgfname + "_G.tif", imgfname + "_R.tif"]
    for filename in filenames:
        try:
            image_id, layer_ids = pdb.gimp_file_load_layers(img,
                 filename)
            for id in layer_ids:
                new_layer = gimp.Item.from_id(id)
                pdb.gimp_image_add_layer(img, new_layer, 0)
                pdb.gimp_layer_add_alpha (new_layer)
                if filename == filenames[6] or filename == filenames[7]  or \
                    filename == filenames[8]  or filename == filenames[9] \
                    or filename == filenames[10]:
                    mask = pdb.gimp_layer_create_mask(new_layer, ADD_WHITE_MASK)
                    pdb.gimp_layer_add_mask(new_layer, mask)
        except Exception, error:
            print error
    image = gimp.image_list()[0]
#
    pdb.gimp_edit_copy(image.layers[8]) # Copy Mask Image Layer
    pdb.gimp_layer_set_edit_mask(image.layers[6], TRUE) # Activate Mask Edit Mode
    floating_sel = pdb.gimp_edit_paste(image.layers[6].mask, False) # Paste Mask Image as Mask
    pdb.gimp_floating_sel_anchor(floating_sel) # Paste Layer Fixed
#
    pdb.gimp_edit_copy(image.layers[9])
    pdb.gimp_layer_set_edit_mask(image.layers[4], TRUE)
    floating_sel = pdb.gimp_edit_paste(image.layers[4].mask, False)
    pdb.gimp_floating_sel_anchor(floating_sel)
#
    pdb.gimp_edit_copy(image.layers[10])
    pdb.gimp_layer_set_edit_mask(image.layers[3], TRUE)
    floating_sel = pdb.gimp_edit_paste(image.layers[3].mask, False)
    pdb.gimp_floating_sel_anchor(floating_sel)
#
    pdb.gimp_edit_copy(image.layers[11])
    pdb.gimp_layer_set_edit_mask(image.layers[2], TRUE)
    floating_sel = pdb.gimp_edit_paste(image.layers[2].mask, False)
    pdb.gimp_floating_sel_anchor(floating_sel)

#
    pdb.gimp_edit_copy(image.layers[12])
    pdb.gimp_layer_set_edit_mask(image.layers[5], TRUE)
    floating_sel = pdb.gimp_edit_paste(image.layers[5].mask, False)
    pdb.gimp_floating_sel_anchor(floating_sel)

# Back Ground Layer (image.layers[13]) to White
    color = (1.0, 1.0, 1.0, 1.0)
#    color: (R Value, G Value, B Value, Transparence)
    pdb.gimp_context_set_background(color) #Set background painting color
    pdb.gimp_edit_fill(image.layers[13], BACKGROUND_FILL)
#    Fill layer[10] with Background Painting Color
#
    return

register(
    "do_load_files_v3_1",
    "Load files for Photo Color adjustment(v3.1)",
    "Load files for Photo Color adjustment",
    "Ohnishi, Yasuo",
    "Ohnishi, Yasuo",
    "2023 Ver3",
    "Load Files(v3.1)...",
    "",      # Alternately use RGB, RGB*, GRAY*, INDEXED etc.
    [
        (PF_FILE, "imgfname", "Select Original Image file", ""),
    ],
    [],
    do_load_files, menu="<Image>/My Plugins/Yellowed Photo Correction" )
main()


